| Box2D 2.2.1 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends
b2MouseJoint Class Reference

`#include <b2MouseJoint.h>`

Inheritance diagram for b2MouseJoint:

List of all members.

## Public Member Functions
b2Vec2 | GetAnchorA () const
| Implements b2Joint.
b2Vec2 | GetAnchorB () const
| Implements b2Joint.
b2Vec2 | GetReactionForce (float32 inv_dt) const
| Implements b2Joint.
float32 | GetReactionTorque (float32 inv_dt) const
| Implements b2Joint.
void | SetTarget (const b2Vec2 &target)
| Use this to update the target point.
const b2Vec2 & | GetTarget () const
void | SetMaxForce (float32 force)
| Set/get the maximum force in Newtons.
float32 | GetMaxForce () const
void | SetFrequency (float32 hz)
| Set/get the frequency in Hertz.
float32 | GetFrequency () const
void | SetDampingRatio (float32 ratio)
| Set/get the damping ratio (dimensionless).
float32 | GetDampingRatio () const
void | Dump ()
| The mouse joint does not support dumping.
## Protected Member Functions
| b2MouseJoint (const b2MouseJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data)
void | SolveVelocityConstraints (const b2SolverData &data)
bool | SolvePositionConstraints (const b2SolverData &data)
## Protected Attributes
b2Vec2 | m_localAnchorB
b2Vec2 | m_targetA
float32 | m_frequencyHz
float32 | m_dampingRatio
float32 | m_beta
b2Vec2 | m_impulse
float32 | m_maxForce
float32 | m_gamma
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_rB
b2Vec2 | m_localCenterB
float32 | m_invMassB
float32 | m_invIB
b2Mat22 | m_mass
b2Vec2 | m_C
## Friends
class | b2Joint

## Detailed Description

A mouse joint is used to make a point on a body track a specified world point. This a soft constraint with a maximum force. This allows the constraint to stretch and without applying huge forces. NOTE: this joint is not documented in the manual because it was developed to be used in the testbed. If you want to learn how to use the mouse joint, look at the testbed.

The documentation for this class was generated from the following files:

- b2MouseJoint.h
- b2MouseJoint.cpp

All Classes Files Functions Variables Enumerations Enumerator Defines